org.apache.hadoop.yarn.server.api

## Interface ResourceTracker

- All Known Implementing Classes:
    ResourceTrackerPBClientImpl

      public interface ResourceTracker

  This is used by the Node Manager to register/nodeHeartbeat/unregister with the ResourceManager.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodeHeartbeatResponse` | `nodeHeartbeat(NodeHeartbeatRequest request)`
    `RegisterNodeManagerResponse` | `registerNodeManager(RegisterNodeManagerRequest request)`
    `UnRegisterNodeManagerResponse` | `unRegisterNodeManager(UnRegisterNodeManagerRequest request)`

- - ### Method Detail

    - #### registerNodeManager

          RegisterNodeManagerResponse registerNodeManager(RegisterNodeManagerRequest request)
                                                   throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                          IOException

      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`
        `IOException`

    - #### nodeHeartbeat

          NodeHeartbeatResponse nodeHeartbeat(NodeHeartbeatRequest request)
                                       throws org.apache.hadoop.yarn.exceptions.YarnException,
                                              IOException

      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`
        `IOException`

    - #### unRegisterNodeManager

          UnRegisterNodeManagerResponse unRegisterNodeManager(UnRegisterNodeManagerRequest request)
                                                       throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                              IOException

      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.